/****************************************************
 * oscP5sendreceive by andreas schlegel
 * example shows how to send and receive osc messages.
 * oscP5 website at http://www.sojamo.de/oscP5
 */
import oscP5.*;
import netP5.*;
//-------------- Global Variables defined at top --------------------
String messg; //-- Create string variable for notifications from OSC
int oscValue; //-- Create integer variable for data in osc Message
OscP5 oscP5;  //-- Create instance of OscP5 software object

void setup() {
  size(400,400);
  frameRate(25);
  /* start oscP5, listening for incoming messages at port 8100 */
  oscP5 = new OscP5(this, 8100); //-- Create instance of OscP5 called "oscP5"
}

void draw() { 
    if(messg == "true") {
    background(100, 200, 100);
    } else {
      background(0);
    }
}


/* incoming osc message are forwarded to the oscEvent method. */
void oscEvent(OscMessage theOscMessage) {
   if(theOscMessage.checkAddrPattern("/test")==true) {
    messg = "true";
    } else {
    messg = "Something else.";  
    }
/* print the address pattern and the typetag of the received OscMessage */
  print("### received an osc message.");
  print(" addrpattern: "+theOscMessage.addrPattern());
  println(" typetag: "+theOscMessage.typetag());
}
